"""Custom steps for login tests."""

from behave import given, when
from behave_webdriver.steps import *


@when(u'I enter the "{section}" "{user}" "{cred_type}" in the inputfield "{element}"')
def step_impl(context, section, user, cred_type, element):
    """Enter username/password into login inputfields."""
    elem = context.behave_driver.get_element(element)
    elem.clear()

    context_section = getattr(context, section)
    value = context_section[user][cred_type]
    elem.send_keys(value)
