# Run testinfra tests

Test host configured in `test/inventory.yml`

    py.test -v --ansible-inventory=../inventory.yml --hosts='ansible://*'

Specify host manually:

    py.test -v --hosts='ssh://root@varac-oas.openappstack.net'

# Issues

- Default ssh backend is `paramiko`, which doesn't work oout of the
  box. It fails to connect to the host because the `ed25519` hostkey
  was not verified. Therefore we need to force plain ssh:// with either
  `connection=ssh` or `--hosts=ssh://…`
